import { globalRequest as axios } from "./request.js";
// 跟接口有关的配置
export const decAxios = {
  //获取用户页面数据方法
  getAppMemberData: function (key = "decAppCartListMap", item) {
    return {};
  },
  //装修组件中的图片代理
  decImgDomain: function (url, staticImg = "goods.png") {
    const $decStaticImgUrl =
      "https://tikcos.oss-cn-beijing.aliyuncs.com/decOnlineImg/";
    if (url) {
      return url;
    } else {
      return $decStaticImgUrl + staticImg;
    }
  },
  //事件处理器
  decEventHandler: function (e, arg, callback) {
    console.log("decEventHandler:", e, arg);
  },
  //获取微页面[H5不需要，小程序需要]
  getInfo: function (params) {
    return;
  },
  // 商品分组内容
  // @param ids【'1,2,3'】
  getGoodGroupData(params) {
    return axios("getGoodGroupData", params);
  },
  // 商品列表数据
  // @param getType【0-通过获取ids中对应的数据，1-获取一定数量的数据】
  // @param getCount【数据数量标示,默认10】
  // @param ids【'1,2,3'】
  getGoodListData(params) {
    return axios("getGoodListData", params);
  },
  // 砍价
  // @param getType【0-通过获取ids中对应的数据，1-获取一定数量的数据】
  // @param getCount【数据数量标示,默认10】
  // @param ids【'1,2,3'】
  getBargainData(params) {
    return axios("getBargainData", params);
  },
  // 拼团
  // @param getType【0-通过获取ids中对应的数据，1-获取一定数量的数据】
  // @param getCount【数据数量标示,默认10】
  // @param ids【'1,2,3'】
  // todo: 获取全部数据，前端进行数据分类
  getShoppingData(params) {
    return axios("getShoppingData", params);
  },
  // 优惠券
  // @param getType【0-通过获取ids中对应的数据，1-获取一定数量的数据】
  // @param getCount【数据数量标示,默认10】
  // @param ids【'1,2,3'】
  getShopCouponData(params) {
    return axios("getShopCouponData", params);
  },
  // 限时抢购数据
  // @param ids【'1,2,3'】
  getGoodDiscountData(params) {
    return axios("getGoodDiscountData", params);
  },
  // 专区商品活动详情
  // @param id
  getGoodSpecialData(params) {
    return axios("getGoodSpecialData", params);
  },
  // 优惠限购活动详情
  // @param id
  getGoodFineData(params) {
    return axios("getGoodFineData", params);
  },
  // 商家分组数据
  // @param ids【'1,2,3'】
  getShopGroup(params) {
    return axios("getShopGroup", params);
  },
  // 商家分组列表数据
  // @param ids【'1,2,3'】
  getShopGroupData(params) {
    return axios("getShopGroupData", params);
  },
  // 积分商品
  getGoodIntegralData(params) {
    return axios("getGoodIntegralData", params);
  },
};
